Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.generic
Class ChildDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.AbstractChildDefinitionParser
                      org.mule.config.spring.parsers.generic.ChildDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  AggregatorDefinitionParser, AttributeMapDefinitionParser, AttributePropertiesDefinitionParser, BindingDefinitionParser, ChildAddressDefinitionParser, ChildEndpointDefinitionParser, ChildListDefinitionParser, ChildListEntryDefinitionParser, ChildMapDefinitionParser, ChildMapEntryDefinitionParser, ChildPropertiesDefinitionParser, ChildSingletonMapDefinitionParser, ComponentDefinitionParser, ConfigurationChildDefinitionParser, DataObjectDefinitionParser, DescendentDefinitionParser, ExceptionTXFilterDefinitionParser, FlowRefDefinitionParser, GrandchildDefinitionParser, InboundRouterDefinitionParser, InterceptorDefinitionParser, InvokerMessageProcessorDefinitionParser, MessageEnricherDefinitionParser, OptionalChildDefinitionParser, RouterDefinitionParser, ServiceOverridesDefinitionParser, SplitterDefinitionParser, TextDefinitionParser, ThreadingProfileDefinitionParser, TransactionConfigDefinitionParser, WrappingChildDefinitionParser, XsltTextDefinitionParser

    public class ChildDefinitionParser

extends AbstractChildDefinitionParser

Creates a definition parser that will construct a single child element and inject it into the parent object (the enclosing XML element). The parser will set all attributes defined in the Xml as bean properties and will process any nested elements as bean properties too, except the correct Definition parser for the element will be looked up automatically.

Field Summary
`protected Class` | `clazz`
`protected String` | `setterMethod`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ChildDefinitionParser(String setterMethod)` The class will be inferred from the class attribute
`ChildDefinitionParser(String setterMethod, Class clazz)`
`ChildDefinitionParser(String setterMethod, Class clazz, boolean singleton)`
`ChildDefinitionParser(String setterMethod, Class clazz, Class constraint)` The class (which is inferred from the class attribute if null here) is checked to be a subclass of the constraint
`ChildDefinitionParser(String setterMethod, Class clazz, Class constraint, boolean allowClassAttribute)` The class (which is inferred from the class attribute if null here) is checked to be a subclass of the constraint.

Method Summary
`protected Class` | `getBeanClass(Element element)` Determine the bean class corresponding to the supplied `Element`.
`String` | `getPropertyName(Element e)`
`protected void` | `preProcess(Element element)` Hook method that derived classes can implement to modify internal state before processing.

Methods inherited from class org.mule.config.spring.parsers.AbstractChildDefinitionParser
`doParse, getBeanName, parseChild, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getParentBeanName, getTargetPropertyConfiguration`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssemblerFactory, getBeanClassFromAttribute, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setDeprecationWarning, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleChildDefinitionParser
`forceParent, getTargetPropertyConfiguration`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse, setDeprecationWarning`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Field Detail

### clazz

    protected Class clazz

### setterMethod

    protected String setterMethod

Constructor Detail

### ChildDefinitionParser

    public ChildDefinitionParser(String setterMethod)

  The class will be inferred from the class attribute

  Parameters:
    `setterMethod` - The target method (where the child will be injected)

### ChildDefinitionParser

    public ChildDefinitionParser(String setterMethod,
                                 Class clazz)

Parameters:
  `setterMethod` - The target method (where the child will be injected)
  `clazz` - The class created by this element/parser

### ChildDefinitionParser

    public ChildDefinitionParser(String setterMethod,
                                 Class clazz,
                                 boolean singleton)

Parameters:
  `setterMethod` -
  `clazz` -
  `singleton` - determines is bean should be singleton or not

### ChildDefinitionParser

    public ChildDefinitionParser(String setterMethod,
                                 Class clazz,
                                 Class constraint)

  The class (which is inferred from the class attribute if null here) is checked to be a subclass of the constraint

  Parameters:
    `setterMethod` - The target method (where the child will be injected)
    `clazz` - The class created by this element/parser (may be null)
    `constraint` - Superclass of clazz (may be null)

### ChildDefinitionParser

    public ChildDefinitionParser(String setterMethod,
                                 Class clazz,
                                 Class constraint,
                                 boolean allowClassAttribute)

  The class (which is inferred from the class attribute if null here) is checked to be a subclass of the constraint.

  Parameters:
    `setterMethod` - The target method (where the child will be injected)
    `clazz` - The class created by this element/parser (may be null)
    `constraint` - Superclass of clazz (may be null)
    `allowClassAttribute` - Is class read from class attribute (if present, takes precedence over clazz)

Method Detail

### preProcess

    protected void preProcess(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Hook method that derived classes can implement to modify internal state before processing. Here we make sure that the internal property configuration state is reset to the initial configuration for each element (it may be modified by the BeanAssembler) and that other mutable instance variables are cleared.

  Overrides:
    `preProcess` in class `AbstractHierarchicalDefinitionParser`

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Determine the bean class corresponding to the supplied `Element`.

  Specified by:
    `getBeanClass` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the `Class` of the bean that is being defined via parsing the supplied `Element` (must not be `null`)
  See Also:
    `AbstractMuleBeanDefinitionParser.parseInternal(org.w3c.dom.Element,ParserContext)`

### getPropertyName

    public String getPropertyName(Element e)

  Specified by:
    `getPropertyName` in class `AbstractChildDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.